diff tests/test-tag @ 401:af4848f83e68

From: Radoslaw Szkodzinski <astralstorm@gorzow.mm.pl> -----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 From: Radoslaw Szkodzinski <astralstorm@gorzow.mm.pl> add hg tag command Tweaks by mpm: clean up error messages handle non-existent .hgtags file add tests update test-help output manifest hash: 569c7fe01193159919af2566e8f5089409ffad65 -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.4.0 (GNU/Linux) iD8DBQFCuMMwywK+sNU5EO8RAuUdAJ90TkT/D9lDOnEVAW2d3WT7K8Ct3QCggiJA c9Qbd79K4UWKQAVkYq03cOY= =SWS8 -----END PGP SIGNATURE-----
author mpm@selenic.com
date Tue, 21 Jun 2005 17:47:28 -0800
parents
children 7e4843b7efd2
line wrap: on
line diff
new file mode 100755
--- /dev/null
+++ b/tests/test-tag
@@ -0,0 +1,13 @@
+#!/bin/sh -x
+
+hg init
+echo a > a
+hg add a
+hg commit -t "test" -u test -d "0 0"
+hg history
+hg tag -u test -d "0 0" "bleah" 
+hg history
+
+echo foo >> .hgtags
+hg tag -u test -d "0 0" "bleah2" || echo "failed" 
+